# The Architecture in Detail
The following chapters will discuss the core objects and classes of our application structure.

![Machine](http://img.ly/system/uploads/003/362/032/original_machine.jpg)

## General and principles

* [Overview](docs/overview.md)
* [Getting started](docs/getting_started.md)
* [Event Handling Overview](docs/events.md)
* [Disposal](docs/disposal.md)
* [Handling Asynchronous Dependencies](docs/handling_async.md)

## API docs

### Core
* [Mediator](docs/chaplin.mediator.md)
* [Dispatcher](docs/chaplin.dispatcher.md)
* [Application](docs/chaplin.application.md)

### MVC
* [Controller](docs/chaplin.controller.md)
* [Model](docs/chaplin.model.md)
* [Collection](docs/chaplin.collection.md)
* [Layout](docs/chaplin.layout.md)
* [View](docs/chaplin.view.md)
* [Collection View](docs/chaplin.collection_view.md)

### Libs
* [EventBroker](docs/chaplin.event_broker.md)
* [SyncMachine](docs/chaplin.sync_machine.md)
* [Router](docs/chaplin.router.md)
* [Route](docs/chaplin.route.md)
* [Support](docs/chaplin.support.md)
* [Utils](docs/chaplin.utils.md)
